Error: String could not be parsed as XML

  • October 26, 2019 at 21:07 #15502
    vicks630
    Participant

    I just downloaded the plugin and when I put my Amazon Credentials I get this error.
    I don’t know why it doesn’t work.

    October 26, 2019 at 21:19 #15503
    Timo
    Keymaster

    Hi Vick,
    thank you for your request. Which version of ASA do you mean, ASA1 or ASA2? I assume that you mean ASA1, because only there is rarely this error. With the next update it will be fixed, because the PA API 5.0 doesn’t work with XML anymore. The update will be released in the next days.

    October 27, 2019 at 00:13 #15504
    vicks630
    Participant

    Yes, it’s ASA1. Thank you! I’ll wait.

    October 29, 2019 at 12:43 #15505
    vicks630
    Participant

    Hi, I’ve downloaded the new version of ASA1 an I still get the same error. What can I do?

    October 29, 2019 at 16:28 #15506
    Timo
    Keymaster

    Sorry, the new version was released a bit too early without notices on the setup page about what to do for migrating to PA API 5.0. Another update will be released soon.

    If your AWS is ready for PA API 5.0 you may switch the “PA API version” option on ASA1’s setup page to “5.0”.

    How to migrate your account (if applicable) you can find in my blog post http://bit.ly/asa2-pa-api-5-0

    October 29, 2019 at 17:15 #15507
    vicks630
    Participant

    It still doesn’t work:

    Error: Error calling PA-API 5.0! HTTP Status Code: 503 Error Message: [503] Server error: POST https://webservices.amazon.es/paapi5/searchitems resulted in a 503 Service Unavailable response:

    October 29, 2019 at 19:44 #15508
    Timo
    Keymaster

    Thanks for your feedback. Is your account registered for PA API 5.0? Does it work with the Scratchpad? (https://webservices.amazon.com/paapi5/documentation/play-around-using-scratchpad.html)

    October 30, 2019 at 18:15 #15514
    Art
    Participant

    Hi, I have tha same problem wiyh ASA 1 1.4.2: “Error: String could not be parsed as XML”, I didn’t migrated, old api should work today and tomorrow, wha’s the problem?

    • This reply was modified 2 weeks, 6 days ago by Art.
    October 30, 2019 at 19:31 #15518
    Timo
    Keymaster

    This is a case that rarely occurs when ASA1 cannot correctly process the XML result of the old API. Sorry, but this won’t get fixed for two days.

    October 30, 2019 at 19:37 #15519
    Art
    Participant

    I migrated, but ASA1 1.4.2 blocked all my site with new credentials for api 5, I had to restore an old version of ASA1…. oh my god, what’s happening… I will try new crredentials on another site with ASA1 1.4.2, I will update

    November 3, 2019 at 13:06 #15541
    Timo
    Keymaster

    Could you solve this issue? Currently I have no other error reports about ASA1.

    • This reply was modified 2 weeks, 2 days ago by Timo.

You must be logged in to reply to this topic.

Register  |  Lost your password?